Subject: bug#25557: Documentation of format doesn't describe "g" accurately

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jan 2017 21:31:52 +0200

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Sat, 28 Jan 2017 14:14:03 -0500
> 
> >> I'm trying to get the shortest representation of a decimal number, rounded to .01, not using scientific/exponential notation.  I'm using values computed in ELisp to produce CSS style sheets, which until recently didn't allow for exponential notation.  I'd like these stylesheets to be readable, so 100% is better 100.00%, and 3.35em is better than 3.35004em. If my code is fed a value of 5000px, I don't want it converted to 5e+3px, because many browsers don't know how to parse that.
> > 
> > Then I think you want to use %d for integral values and %.2f for the
> > rest.
> 
> No, that still won't do: it wouldn't format 3.0 as "3", if I understand correctly.

??? (format "%d" 3.0) => "3"

Or maybe you didn't think 3.0 was an "integral value" by my
definition?  I meant by that any value VAL which yields zero when
passed through (mod VAL 1.0).